package es.ua.jtech.cw.sesion02.ejercicios;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class NavServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    public NavServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String nav = request.getHeader("User-Agent");
		response.setContentType("text/html");
		
		PrintWriter out = response.getWriter();
		out.println("<p>" + nav + "</p>");
		if(nav.indexOf("Firefox")!=-1) {
			out.println("<img src='firefox_logo.gif'/>"); 			
		} else if(nav.indexOf("Netscape")!=-1) {
			out.println("<img src='netscape_logo.gif'/>"); 						
		} else if(nav.indexOf("MSIE")!=-1) {
			out.println("<img src='explorer_logo.gif'/>"); 			
		} else if(nav.indexOf("Mozilla")!=-1) {
			out.println("<img src='mozilla_logo.gif'/>"); 						
		}
		
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		this.doGet(request, response);
	}

}
